<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPBarsData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_bars_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-static-methods">Statyczne metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="class_q_c_p_bars_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPBarsData</div></div>
</div><!--header-->
<div class="contents">

<p>Holds the data of one single data point (one bar) for <a class="el" href="class_q_c_p_bars.html" title="A plottable representing a bar chart in a plot.">QCPBars</a>.  
 <a href="class_q_c_p_bars_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a800794d4c5fea22eeb8bade20798496b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a800794d4c5fea22eeb8bade20798496b">QCPBarsData</a> ()</td></tr>
<tr class="separator:a800794d4c5fea22eeb8bade20798496b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4158816a69e2c675885f48afa2b5acc9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a4158816a69e2c675885f48afa2b5acc9">QCPBarsData</a> (double <a class="el" href="class_q_c_p_bars_data.html#a09b492217dc03ee1c0348a2f2e6e0a04">key</a>, double <a class="el" href="class_q_c_p_bars_data.html#ab636644fb40630f3b1b72f44d65ec072">value</a>)</td></tr>
<tr class="separator:a4158816a69e2c675885f48afa2b5acc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a107d22d84f336bf6e3c3ad0133a5d2f6"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a107d22d84f336bf6e3c3ad0133a5d2f6">sortKey</a> () const</td></tr>
<tr class="separator:a107d22d84f336bf6e3c3ad0133a5d2f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c1d09e63b0e90a6c1fba56ddeaa8964"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a8c1d09e63b0e90a6c1fba56ddeaa8964">mainKey</a> () const</td></tr>
<tr class="separator:a8c1d09e63b0e90a6c1fba56ddeaa8964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360d975e587f9e84259aaec172efb10b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a360d975e587f9e84259aaec172efb10b">mainValue</a> () const</td></tr>
<tr class="separator:a360d975e587f9e84259aaec172efb10b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3e6479dacacd6c81eebe7d4cd62185"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#acf3e6479dacacd6c81eebe7d4cd62185">valueRange</a> () const</td></tr>
<tr class="separator:acf3e6479dacacd6c81eebe7d4cd62185"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Statyczne metody publiczne</h2></td></tr>
<tr class="memitem:ad170d4e90498005ec319338910252ba8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_q_c_p_bars_data.html">QCPBarsData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#ad170d4e90498005ec319338910252ba8">fromSortKey</a> (double <a class="el" href="class_q_c_p_bars_data.html#a107d22d84f336bf6e3c3ad0133a5d2f6">sortKey</a>)</td></tr>
<tr class="separator:ad170d4e90498005ec319338910252ba8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebaabda335bd4c9f81bd585d16b63aa8"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#aebaabda335bd4c9f81bd585d16b63aa8">sortKeyIsMainKey</a> ()</td></tr>
<tr class="separator:aebaabda335bd4c9f81bd585d16b63aa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:a09b492217dc03ee1c0348a2f2e6e0a04"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#a09b492217dc03ee1c0348a2f2e6e0a04">key</a></td></tr>
<tr class="separator:a09b492217dc03ee1c0348a2f2e6e0a04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab636644fb40630f3b1b72f44d65ec072"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_bars_data.html#ab636644fb40630f3b1b72f44d65ec072">value</a></td></tr>
<tr class="separator:ab636644fb40630f3b1b72f44d65ec072"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>The stored data is: </p><ul>
<li><em>key:</em> coordinate on the key axis of this bar (this is the <em>mainKey</em> and the <em>sortKey</em>) </li>
<li><em>value:</em> height coordinate on the value axis of this bar (this is the <em>mainValue</em>)</li>
</ul>
<p>The container for storing multiple data points is <a class="el" href="qcustomplot_8hpp.html#a52bf589c9fce1baa36c1d40d69785d46">QCPBarsDataContainer</a>. It is a typedef for <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a> with <a class="el" href="class_q_c_p_bars_data.html">QCPBarsData</a> as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="qcustomplot_8hpp.html#a52bf589c9fce1baa36c1d40d69785d46">QCPBarsDataContainer</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05782">5782</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a800794d4c5fea22eeb8bade20798496b" name="a800794d4c5fea22eeb8bade20798496b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a800794d4c5fea22eeb8bade20798496b">&#9670;&#160;</a></span>QCPBarsData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPBarsData::QCPBarsData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a bar data point with key and value set to zero. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24353">24353</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a4158816a69e2c675885f48afa2b5acc9" name="a4158816a69e2c675885f48afa2b5acc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4158816a69e2c675885f48afa2b5acc9">&#9670;&#160;</a></span>QCPBarsData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPBarsData::QCPBarsData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a bar data point with the specified <em>key</em> and <em>value</em>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l24362">24362</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a107d22d84f336bf6e3c3ad0133a5d2f6" name="a107d22d84f336bf6e3c3ad0133a5d2f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a107d22d84f336bf6e3c3ad0133a5d2f6">&#9670;&#160;</a></span>sortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsData::sortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05788">5788</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ad170d4e90498005ec319338910252ba8" name="ad170d4e90498005ec319338910252ba8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad170d4e90498005ec319338910252ba8">&#9670;&#160;</a></span>fromSortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_q_c_p_bars_data.html">QCPBarsData</a> QCPBarsData::fromSortKey </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a data point with the specified <em>sortKey</em>. All other members are set to zero.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05789">5789</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aebaabda335bd4c9f81bd585d16b63aa8" name="aebaabda335bd4c9f81bd585d16b63aa8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebaabda335bd4c9f81bd585d16b63aa8">&#9670;&#160;</a></span>sortKeyIsMainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static static bool QCPBarsData::sortKeyIsMainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Since the member <em>key</em> is both the data point key coordinate and the data ordering parameter, this method returns true.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05790">5790</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a8c1d09e63b0e90a6c1fba56ddeaa8964" name="a8c1d09e63b0e90a6c1fba56ddeaa8964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c1d09e63b0e90a6c1fba56ddeaa8964">&#9670;&#160;</a></span>mainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsData::mainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05792">5792</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a360d975e587f9e84259aaec172efb10b" name="a360d975e587f9e84259aaec172efb10b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a360d975e587f9e84259aaec172efb10b">&#9670;&#160;</a></span>mainValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsData::mainValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>value</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05793">5793</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acf3e6479dacacd6c81eebe7d4cd62185" name="acf3e6479dacacd6c81eebe7d4cd62185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3e6479dacacd6c81eebe7d4cd62185">&#9670;&#160;</a></span>valueRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> QCPBarsData::valueRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> with both lower and upper boundary set to <em>value</em> of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05795">5795</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a09b492217dc03ee1c0348a2f2e6e0a04" name="a09b492217dc03ee1c0348a2f2e6e0a04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09b492217dc03ee1c0348a2f2e6e0a04">&#9670;&#160;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsData::key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05797">5797</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ab636644fb40630f3b1b72f44d65ec072" name="ab636644fb40630f3b1b72f44d65ec072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab636644fb40630f3b1b72f44d65ec072">&#9670;&#160;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPBarsData::value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l05797">5797</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_bars_data.html">QCPBarsData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
